import ILoggerConfig from "./interface/config/ILoggerConfig";
/**
 * Uses different strategies to submit logs to log server via Service facade.
 */
export default class AdvancedLogger<T> {
    private configuration;
    private strategy;
    private service;
    private logStore;
    constructor(configuration: ILoggerConfig);
    log(log: T): void;
    /**
     * Forces strategy to initiate logs sending
     */
    sendAllLogs(): void;
    destroy(): void;
    private onStoreError;
    private onAdd;
    private onClear;
    private onStrategyError;
    private onSend;
}
